One Star

How to install talend on ubuntu linux

how to install talned data integration on ubuntu linux
Please provide me the complete steps to install
26 REPLIES
Moderator

Re: How to install talend on ubuntu linux

Hi,
Have you checked Installation and Upgrade Guide: https://help.talend.com/search/all?query=Talend+Open+Studio+for+Data+Integration+Installation+and+Up...?
Is there any problem when you install Talend Data Integration on ubuntu linux?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: How to install talend on ubuntu linux

Hi xdshi thanks for your quick reply......................
when i am installing talen on ubuntu linux , iam getting the following error .
How can i solve this error and what is the reason for this error
error:
        A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007ffce9bb94e9, pid=1713, tid=140724653803264
#
# JRE version: OpenJDK Runtime Environment (7.0_65-b32) (build 1.7.0_65-b32)
# Java VM: OpenJDK 64-Bit Server VM (24.65-b04 mixed mode linux-amd64 compressed oops)
# Derivative: IcedTea 2.5.2
# Distribution: Ubuntu 14.04 LTS, package 7u65-2.5.2-3~14.04
# Problematic frame:
# C    gdk_window_enable_synchronized_configure+0x9
#
Moderator

Re: How to install talend on ubuntu linux

Hi,
So far, Talend don't support for Open JDK.
Please take a look at document:TalendHelpCenter:Compatible Platforms.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: How to install talend on ubuntu linux

Hi xdshi thank you for your quick reply ................
I agree with your answer..............
                 One thing i have to know.................
So with your answer already open jdk7 installed in ubuntu server than how can i install again the jdk7 in ubuntu.
And another thing is i have download the jdk from oracle website into ubuntu server in the format of .tar.gz , now how can i unzip it.
Because its showing the following error.................while iam unzipping.
      gzip: stdin: not in gzip format
      tar: Child returned status 1
      tar: Error is not recoverable: exiting now

Now iam in final step , so  i need your help to complete the installation.
Moderator

Re: How to install talend on ubuntu linux

Hi,
Can you uninstall your Open JDK from your ubuntu? Did you download oracle JDK from Oracle official website http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Seventeen Stars

Re: How to install talend on ubuntu linux

hi all,
from my experience on Ubuntu -11 12 13 .. not 14 Smiley Happy
use apt-get install if you're not sure about how install java package by hand.
OPen JDK normally work fine for Open Studio but not with installer (enterprise version).
As suggest by Sabrina install sun jdk 1.7 (you can esaily find how's to on google)
use update-alternative to switch between java version  installed
http://askubuntu.com/questions/308663/how-to-set-the-default-java-version
but aware about xulrunner problem on linux :
https://help.talend.com/pages/viewpage.action?pageId=19426568
hope it helps
regards
laurent
One Star

Re: How to install talend on ubuntu linux

 
Hi xdshi, 
       Yes i have uninstalled the open jdk7 from ubuntu linux server, and downloaded the jdk7 from the oracle website in the format of .tar.gz
like    jdk-7u71-linux-x64.tar.gz
Now my problem is how to unzip this .tar.gz file format ,because i tried the following the commands to unzip it.
    tar -xvzf jdk-7u71-linux-x64.tar.gz
    tar -zxvf jdk-7u71-linux-x64.tar.gz
    sudo tar -xvzf jdk-7u71-linux-x64.tar.gz   Nothing is work ................

its showing the following error.................while iam unzipping.
      gzip: stdin: not in gzip format
      tar: Child returned status 1
      tar: Error is not recoverable: exiting now
One Star

Re: How to install talend on ubuntu linux

Hi kzone thank you for your reply..............
   With your experience can you explain me how to unzip this .tar.gz file format in ubuntu linux.
like    jdk-7u71-linux-x64.tar.gz
Now my problem is how to unzip this .tar.gz file format ,because i tried the following the commands to unzip it.
    tar -xvzf jdk-7u71-linux-x64.tar.gz
    tar -zxvf jdk-7u71-linux-x64.tar.gz
    sudo tar -xvzf jdk-7u71-linux-x64.tar.gz   Nothing is work ................

its showing the following error.................while iam unzipping.
      gzip: stdin: not in gzip format
      tar: Child returned status 1
      tar: Error is not recoverable: exiting now
Seventeen Stars

Re: How to install talend on ubuntu linux

try and use unzip command line (apt-get install unzip , if you haven't got it yet)
but your tar.gz could be corrupted. normally tar -xvf should work.
check your download with md5 
regards
Moderator

Re: How to install talend on ubuntu linux

Hi mahadevank,
Is your issue resolved?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: How to install talend on ubuntu linux

Hi xdshi thank you for your reply...............
Still i am facing the same problem, after getting the jdk file from oracle website   jdk-7u71-linux-x64.tar.gz

Problem is i can't able to untar this tar.gz file.

Now my problem is how to unzip this .tar.gz file format ,because i tried the following the commands to unzip it.
    tar -xvzf jdk-7u71-linux-x64.tar.gz
    tar -zxvf jdk-7u71-linux-x64.tar.gz
    sudo tar -xvzf jdk-7u71-linux-x64.tar.gz   Nothing is work ................

its showing the following error.................while iam unzipping.
      gzip: stdin: not in gzip format
      tar: Child returned status 1
      tar: Error is not recoverable: exiting now
Moderator

Re: How to install talend on ubuntu linux

Hi,
Have you tried to use JDK .zip file? We don't use  tar.gz before.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: How to install talend on ubuntu linux

Have you also tried:
gunzip -c jdk-7u71-linux-x64.tar.gz | tar xvf -


?
Seventeen Stars

Re: How to install talend on ubuntu linux

try this :
https://help.ubuntu.com/community/Java#Oracle_Java_7
you've got several methods to install jdk 7 on Ubuntu
as you got some problem about tar archive use apt-get & for that add repos 
http://www.webupd8.org/2011/09/how-to-install-oracle-java-7-jdk-in.html
regards
One Star

Re: How to install talend on ubuntu linux

Hi kzone and xdshi,
 Thank you for your valuable links.
Now i have successfully installed jdk1.7 on ubuntu linux.
But still iam facing the error , i can't launch talend open studion on ubuntu linux due to this erro.
But this time the error is something different, which i have uploaded for your review.
......................................
 A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007fb3d3dbc4e9, pid=15624, tid=140411284743936
#
# JRE version: Java(TM) SE Runtime Environment (7.0_72-b14) (build 1.7.0_72-b14)
# Java VM: Java HotSpot(TM) 64-Bit Server VM (24.72-b04 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C    gdk_window_enable_synchronized_configure+0x9
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.sun.com/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
---------------  T H R E A D  ---------------
Current thread (0x00007fb40400a000):  JavaThread "main"
siginfo:si_signo=SIGSEGV: si_errno=0, si_code=1 (SEGV_MAPERR), si_addr=0x0000000000000018
Seventeen Stars

Re: How to install talend on ubuntu linux

On linux machine you can have thsi kind of 'error' Smiley Happy
http://www.itworld.com/article/2693414/operating-systems/setting-limits-with-ulimit.html
regards
One Star

Re: How to install talend on ubuntu linux

Hi any one help me to solve this installation promblem....................
I would like to install talend open studio on ubuntu linux server.
I have completed all the steps successfully without error, but i don't know how to launch talend open studio.
Here i explain about my expectation..................
i want to install talend open studio on ubuntu lincux server in  amezon webservice, so i installed talend open studio on ubuntu server by using command mode through some interface.
But i don't know how to launch talend from ubuntu (amezon web service).
...........Amezon web service.......................
Here ubuntu linux server is available in amezon web service, i need to install and launch talend open studio .
How can i do it and access it....................guide me the steps if anyone knows.
   
Seventeen Stars

Re: How to install talend on ubuntu linux

Talend OPen Studio is an EDI to make some java in a graphical mode.
So i don't understand your expectation to open Talend studion on a distant server (machine).
In general , Talend open studio is on local to develop your project and then differents environment could be on remote server as it's the compiled java code that is push on those server.
regards
One Star

Re: How to install talend on ubuntu linux

Hi kzone, thank you for your reply..........
Now i understand , we cannot access talend open studio in our local machine when it is installed in  a server.
Here one thing i have to know ,when Iam using talend open studio for data integration in my local machine
1.how can i share my job and metadata with server,
2. And what i have to install in server machine to share all my work.....................Is there any software to install in server to access all the work from my local system(talend open studio).
Seventeen Stars

Re: How to install talend on ubuntu linux

If you got Talend enterprise Version, you can shared your jobs thanks SVN and manage project through Talend Administration Center.
you (can) share project & jobs on differents Studio with several developers.
From TAlend Administration Center you generate & deploy projets/jobs on differents server thanks agent jobServer.
You also script continuous integration with commanLine or thanks maven.
With only Open Studio, you've to do it "by hand", building jobs from Talend open Studio that generate the executable package (zip format). 
It's that package that you have to move on your server to be executed with bash or scheduler.
hope it helps
have a look at Talend gold mine , Talend Help portail Smiley Wink
https://help.talend.com/search/all?query=Managing+projects&content-lang=en
regards
laurent
One Star

Re: How to install talend on ubuntu linux

Hi any one can help me to solve this error.................
I have installe talend open studio mdm server 5.6  installed in AWS .
And i connected successfully with the following url and account in the google chrome browser.
http://ec2-54-149-34-69.us-west-2.compute.amazonaws.com:8180/talendmdm
user:administrator
pwd: administrator.  
But when iam creating a server connection in talend  open studio for mdm its showing the following error.................
  "Unable to connect to server. Please check your connection settings."  This is the server url and user &pwd iam using.
http://ec2-54-149-34-69.us-west-2.compute.amazonaws.com:8180/talend/TalendPort
user:administrator
pwd:administrator.
what i have to change now......................please help me to solve this.
One Star

Re: How to install talend on ubuntu linux

Hi all ,how to solve this problem
Unable to connect to server ,please check your connection settings............
This is my process............
I Have installed talend open studio for mdm server in ubuntu(AWS) and i installed mdm studio 5.6 on my local machine.
When i am adding a server location in talend mdm studio iam facing this proplem.
One Star

Re: How to install talend on ubuntu linux

Hi all ,how to solve this problem
Unable to connect to server ,please check your connection settings............
This is my process............
I Have installed talend open studio for mdm server in ubuntu(AWS) and i installed mdm studio 5.6 on my local machine.
When i am adding a server location in talend mdm studio iam facing this proplem.
One Star

Re: How to install talend on ubuntu linux

Hi all ,how to solve this problem
Unable to connect to server ,please check your connection settings............
This is my process............
I Have installed talend open studio for mdm server in ubuntu(AWS) and i installed mdm studio 5.6 on my local machine.
When i am adding a server location in talend mdm studio iam facing this proplem.
Two Stars

Re: How to install talend on ubuntu linux

Hi,

I also could not install talend on ubuntu as log attached.
jre, graphical interface and eclipse are installed

I really appreciate your help
Best regards

!SESSION 2018-06-13 10:02:07.974 -----------------------------------------------
eclipse.buildId=unknown
java.version=10.0.1
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Command-line arguments: -os linux -ws gtk -arch x86_64

!ENTRY org.talend.help.salesforce 4 0 2018-06-13 10:02:20.907
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.talend.help.salesforce [13]
Unresolved requirement: Require-Bundle: org.talend.commons.ui
-> Bundle-SymbolicName: org.talend.commons.ui; bundle-version="7.0.1.20180411_1414"; singleton:="true"
org.talend.commons.ui [569]
Unresolved requirement: Require-Bundle: org.talend.utils
-> Bundle-SymbolicName: org.talend.utils; bundle-version="7.0.1.20180411_1414"
org.talend.utils [335]
Unresolved requirement: Require-Bundle: org.talend.daikon; visibility:="reexport"
-> Bundle-SymbolicName: org.talend.daikon; bundle-version="0.23.0"
org.talend.daikon [293]
Unresolved requirement: Import-Package: org.ops4j.pax.url.mvn.internal; resolution:="optional"
Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"
Unresolved requirement: Import-Package: com.fasterxml.jackson.databind; version="[2.9.0,3.0.0)"; resolution:="optional"
-> Export-Package: com.fasterxml.jackson.databind; bundle-symbolic-name="com.fasterxml.jackson.core.jackson-databind"; bundle-version="2.9.4"; version="2.9.4"; uses:="com.fasterxml.jackson.annotation,com.fasterxml.jackson.core,com.fasterxml.jackson.core.filter,com.fasterxml.jackson.core.format,com.fasterxml.jackson.core.io,com.fasterxml.jackson.core.type,com.fasterxml.jackson.databind.annotation,com.fasterxml.jackson.databind.cfg,com.fasterxml.jackson.databind.deser,com.fasterxml.jackson.databind.deser.impl,com.fasterxml.jackson.databind.introspect,com.fasterxml.jackson.databind.jsonFormatVisitors,com.fasterxml.jackson.databind.jsonschema,com.fasterxml.jackson.databind.jsontype,com.fasterxml.jackson.databind.jsontype.impl,com.fasterxml.jackson.databind.node,com.fasterxml.jackson.databind.ser,com.fasterxml.jackson.databind.ser.impl,com.fasterxml.jackson.databind.type,com.fasterxml.jackson.databind.util"
com.fasterxml.jackson.core.jackson-databind [633]
Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"
Unresolved requirement: Import-Package: com.fasterxml.jackson.databind.node; version="[2.9.0,3.0.0)"; resolution:="optional"
-> Export-Package: com.fasterxml.jackson.databind.node; bundle-symbolic-name="com.fasterxml.jackson.core.jackson-databind"; bundle-version="2.9.4"; version="2.9.4"; uses:="com.fasterxml.jackson.core,com.fasterxml.jackson.core.base,com.fasterxml.jackson.databind,com.fasterxml.jackson.databind.jsontype,com.fasterxml.jackson.databind.util"

at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.talend.components.jdbc.definition 4 0 2018-06-13 10:02:20.918
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.talend.components.jdbc.definition [15]
Unresolved requirement: Import-Package: org.talend.components.api; version="[0.23.0,1.0.0)"
-> Export-Package: org.talend.components.api; bundle-symbolic-name="org.talend.components.api"; bundle-version="0.23.1"; version="0.23.1"; uses:="org.talend.components.api.wizard,org.talend.daikon,org.talend.daikon.definition,org.talend.daikon.i18n,org.talend.daikon.i18n.tag"
org.talend.components.api [377]
Unresolved requirement: Import-Package: org.talend.daikon; version="[0.23.0,1.0.0)"
-> Export-Package: org.talend.daikon; bundle-symbolic-name="org.talend.daikon"; bundle-version="0.23.0"; version="0.23.0"; uses:="org.talend.daikon.i18n,org.talend.daikon.i18n.tag"
org.talend.daikon [293]
Unresolved requirement: Import-Package: org.ops4j.pax.url.mvn.internal; resolution:="optional"
Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"
Unresolved requirement: Import-Package: com.fasterxml.jackson.databind; version="[2.9.0,3.0.0)"; resolution:="optional"
-> Export-Package: com.fasterxml.jackson.databind; bundle-symbolic-name="com.fasterxml.jackson.core.jackson-databind"; bundle-version="2.9.4"; version="2.9.4"; uses:="com.fasterxml.jackson.annotation,com.fasterxml.jackson.core,com.fasterxml.jackson.core.filter,com.fasterxml.jackson.core.format,com.fasterxml.jackson.core.io,com.fasterxml.jackson.core.type,com.fasterxml.jackson.databind.annotation,com.fasterxml.jackson.databind.cfg,com.fasterxml.jackson.databind.deser,com.fasterxml.jackson.databind.deser.impl,com.fasterxml.jackson.databind.introspect,com.fasterxml.jackson.databind.jsonFormatVisitors,com.fasterxml.jackson.databind.jsonschema,com.fasterxml.jackson.databind.jsontype,com.fasterxml.jackson.databind.jsontype.impl,com.fasterxml.jackson.databind.node,com.fasterxml.jackson.databind.ser,com.fasterxml.jackson.databind.ser.impl,com.fasterxml.jackson.databind.type,com.fasterxml.jackson.databind.util"
com.fasterxml.jackson.core.jackson-databind [633]
Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"
Unresolved requirement: Import-Package: com.fasterxml.jackson.databind.node; version="[2.9.0,3.0.0)"; resolution:="optional"
-> Export-Package: com.fasterxml.jackson.databind.node; bundle-symbolic-name="com.fasterxml.jackson.core.jackson-databind"; bundle-version="2.9.4"; version="2.9.4"; uses:="com.fasterxml.jackson.core,com.fasterxml.jackson.core.base,com.fasterxml.jackson.databind,com.fasterxml.jackson.databind.jsontype,com.fasterxml.jackson.databind.util"

at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
Moderator

Re: How to install talend on ubuntu linux

Hello,

So far, Talend don't support for oracle java 10 officially. Could you please use oracle java 8 instead to see if it works?

Here is online document about:TalendHelpCenter:Compatible Java Environments for v 7.0

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.